<%@page import="org.perfsonar.ui.shared.users.PerfsonarUser"%>
<%@page import="org.perfsonar.ui.server.UserLoginUtil"%>
<%@page import="org.apache.commons.logging.Log"%>
<%@page import="org.apache.commons.logging.LogFactory"%>
<%@page import="org.springframework.security.authentication.AnonymousAuthenticationToken"%>
<%@page import="java.util.Collection"%>
<%@page import="org.springframework.security.core.GrantedAuthority"%>
<%@page import="org.springframework.security.core.Authentication"%>
<%@page import="org.springframework.security.core.context.SecurityContextHolder" %>
<%@page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<!DOCTYPE html>
<html>
<head>
	<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
	<link type="text/css" rel="stylesheet" href="global.css">
	<title>perfSONAR - UI Choose Login Mechanism</title>

  <style>
	HTML {
    	height: 100%;
	}
    BODY {
    	height: 100%;
    	font-family: Open Sans, Verdana, Geneva, Helvetica, Tahoma, sans-serif !important;
	    margin: 0;
	    background-repeat: no-repeat;
	    background-attachment: fixed;
		background: #007FAB;      
      	background: linear-gradient(to bottom, #004E6A, #007FAB);
    	color: #00184e;
    }

    TABLE {
      position: absolute;
      left: 50%;
      margin-left: -250px;
      margin-top: 10%;
      padding: 50px; 
      background: white;
      width: 500px;
    }
    
	DIV {
		margin-top: 10px;
	}
	.div-title {
		color: #007FAB;
		margin-top: 25px;
    	font-weight: bold;
	}
	.div-info {
		font-size: 12px;
		font-style: italic;
	}
    .buttondiv {
    	float: right;
    	background: #00184e;
    	color: white;
    	font-size: 12px;
    	font-weight: bold;
    	padding: 5px;
    	width: 150px;
    	text-align: center;
    }
    
    img {
    	display: block;
    	margin-left: auto;
    	margin-right: auto;
    }

  </style>
</head>
<body>
        <%
        Log logger = LogFactory.getLog("org.perfsonar.ui.Security");
        Authentication auth = SecurityContextHolder.getContext().getAuthentication();
        
        boolean doRedirect = false;
        if (auth != null) {
	        PerfsonarUser user = UserLoginUtil.getLoggedInUser();
	        if (user != null && (user.isAdmin() || user.getRoles().size() > 0)) {
	        	doRedirect = true;
	        }
        }
        // TODO discover user coming from Tools portal
        
	    if (doRedirect) {
	       	logger.info("User found, redirecting...");
	       	response.setStatus(HttpServletResponse.SC_SEE_OTHER);
	        response.setHeader("Location", "PerfsonarUI.html");
	    }
        %>
        <table cellpadding="0" cellspacing="0">
        	<tr>
        		<td>
        			<img alt="perfSONAR UI Logo" src="./images/PerfSONAR_logo.png">
        			<div>Please log in using your perfSONAR UI account or a Federated Identity Provider</div>
        		</td>
        	</tr>
        	<tr>
        		<td>
        			<div class="div-title">perfSONAR UI</div>
        			<div class="div-info">Login using embedded user database</div>
        			<a href="PerfsonarUI.jsp?authMode=form"><div class="buttondiv">perfSONAR UI Login</div></a>
        		</td>
        	</tr>
        	<tr><td><hr></td></tr>
        	<tr>
        		<td>
        			<div class="div-title">Federated Login</div>
        			<div class="div-info">On the next page select your Identity Provider from the list and complete login with your credentials</div>
        			<a href="PerfsonarUI.jsp?authMode=edugain"><div class="buttondiv">Federated Login</div></a>
        		</td>
        	</tr>
        </table>

</body>
</html>

