<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<!DOCTYPE html>
<html>
  <head>
  	<title>perfSONAR UI Embedded Database</title>
  	
	<link type="text/css" rel="stylesheet" href="global.css">
  	
  	<style>
		HTML {
	    	height: 100%;
		}
	    BODY {
	    	height: 100%;
	    	font-family: Open Sans, Verdana, Geneva, Helvetica, Tahoma, sans-serif !important;
		    margin: 0;
		    background-repeat: no-repeat;
		    background-attachment: fixed;
			background: #007FAB;      
	      	background: linear-gradient(to bottom, #004E6A, #007FAB);
	    	color: #00184e;
	    }
	
	    TABLE {
	      position: absolute;
	      left: 50%;
	      margin-left: -250px;
	      margin-top: 10%;
	      padding: 50px; 
	      background: white;
	      width: 500px;
	    }
	    
	    TABLE TH {
	    	color: #007FAB;
	    }
	    
		DIV {
			margin-top: 10px;
		}
		.div-title {
			color: #007FAB;
			margin-top: 25px;
	    	font-weight: bold;
		}
		.div-info {
			font-size: 12px;
			font-style: italic;
		}
	    .buttondiv {
	    	float: right;
	    	background: #00184e;
	    	color: white;
	    	font-size: 12px;
	    	font-weight: bold;
	    	padding: 5px;
	    	width: 150px;
	    	text-align: center;
	    	border: 0;
	    }
	    
	    img {
	    	display: block;
	    	margin-left: auto;
	    	margin-right: auto;
	    }
	    
	    input {
	    	font-family: Open Sans, Verdana, Geneva, Helvetica, Tahoma, sans-serif !important;
	    }
	    
	    input.input {
	    	width: 100%;
	    }
	    
	    tr.spaceTop > td
		{
		  padding-top: 5px;
		  padding-bottom: 5px;
		}

  </style>
  	
  </head>
  <body onload="document.f.j_username.focus();">

    <form name="f" action="j_spring_security_check" method="post">
    <table cellspacing="0" cellpadding="0">
    <tbody>
   	    <tr>
       		<td colspan="2">
       			<img alt="perfSONAR UI Logo" src="./images/PerfSONAR_logo.png">
       			<div>Log in using embedded database</div>
       			<!-- div class="div-info">
	       			<p>Valid users:
				  	<ul>
				  		<li>username: <b>perfsonar</b>, password: <b>sa2t3</b></li>
				  	</ul>
			  	</div -->
       		</td>
       	</tr>
        <tr align="left" class="spaceTop"><th>Username:</th><td><input class="input" type="text" name="j_username" id="j_username" value=""></td></tr>
        <tr align="left" class="spaceTop"><th>Password:</th><td><input class="input" type="password" name="j_password" id="j_password" value=""/></td></tr>
        <tr align="right" class="spaceTop"><th>&nbsp;</th><td><input class="buttondiv" type="submit" value="Login"/></td></tr>
        <tr align="left" class="spaceTop">
        	<td colspan="2">
			    <c:if test="${not empty param.login_error}">
			    <div style="color:red; font-size: 12px">
			        Your login attempt was not successful, try again.<br/><br/>
			        Reason: <c:out value="${SPRING_SECURITY_LAST_EXCEPTION.message}"/>.			    
			    </div>
			    </c:if>
			</td>
        </tr>
    </tbody>
    </table>
    </form>
  </body>
</html>
