<%@page import="net.geant.security.oiosaml.OiosamlAuthenticationToken"%>
<%@page import="java.util.Collection"%>
<%@page import="org.springframework.security.core.GrantedAuthority"%>
<%@page import="org.springframework.security.core.Authentication"%>
<%@page import="org.springframework.security.core.context.SecurityContextHolder" %>

<head>
	<style type="text/css">
		body {
			font-family: Open Sans, Verdana, Geneva, Helvetica, Tahoma, sans-serif !important;
		}
	</style>
</head>

<%
		Authentication auth = SecurityContextHolder.getContext().getAuthentication();
		if (auth != null) { %>
			Authentication object is of type: <%= auth.getClass().getName() %><BR><BR>
			Authentication object as a String: <%= auth.toString() %><BR><BR>

			Authentication object name: <%= auth.getName() %> <BR><BR>
			Authentication object principal: <%= auth.getPrincipal() %> <BR><BR>
			Authentication object principal class: <%= auth.getPrincipal().getClass().getName() %> <BR><BR>
			Authentication object credentials: <%= auth.getCredentials() %> <BR><BR>
			<%  if (auth.getCredentials() != null) { %> 
				Authentication object credentials class: <%= auth.getCredentials().getClass().getName() %> <BR><BR>
			<%} else {
				out.print("<span style=\"color:red\">No Credentials</span> <BR><BR>");
			}%>
			Authentication object details: <%= auth.getDetails() %>; 
			<%  if (auth.getDetails() != null) { %>
				details class: <%= auth.getDetails().getClass() %>
			<%  } %><BR><BR>
			<%
			if (auth instanceof OiosamlAuthenticationToken) {
				OiosamlAuthenticationToken samlAuth = (OiosamlAuthenticationToken) auth;
			%>
			Assertion: <%= samlAuth.getAssertion() %><BR><BR>
			Assertion attributes: <%= samlAuth.getAssertion().getAllAttributes()%><BR><BR>
			Assertion attribute cn: <%= samlAuth.getAssertion().getAttribute("cn")%><BR><BR>
			Assertion attribute givenName: <%= samlAuth.getAssertion().getAttribute("givenName")%><BR><BR>
			Assertion attribute urn:oid:2.5.4.42: <%= samlAuth.getAssertion().getAttribute("urn:oid:2.5.4.42")%><BR><BR>
		
			<%
			}
			%>
			Authentication object holds the following granted authorities:<BR><BR>
<%			Collection<? extends GrantedAuthority> granted = auth.getAuthorities();
			for (GrantedAuthority grant : granted) { %>
				<%= grant.toString() %> (getAuthority(): <%= grant.getAuthority() %>)<BR>
<%			} %>
		<p>Auth class:	<%= auth.getClass().toString() %> <br> 

<%		} else { %>
			Authentication object is null.<BR>
			This is an error and your Acegi Security application will not operate properly until corrected.<BR><BR>
<%		}
%>
